com.independentsoft.exchange

## Class AbsoluteYearlyRecurrencePattern

- java.lang.Object
- - com.independentsoft.exchange.AbsoluteYearlyRecurrencePattern

- All Implemented Interfaces:
    RecurrencePattern, TaskRecurrencePattern

      public class AbsoluteYearlyRecurrencePattern
      extends java.lang.Object
      implements RecurrencePattern, TaskRecurrencePattern

  Represents a yearly recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsoluteYearlyRecurrencePattern()` Initializes a new instance of the AbsoluteYearlyRecurrencePattern class.
    `AbsoluteYearlyRecurrencePattern(Month month, int dayOfMonth)` Initializes a new instance of the AbsoluteYearlyRecurrencePattern class with specified values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDayOfMonth()` Gets the day in a month on which a recurring item occurs.
    `Month` | `getMonth()` Gets the month in which a yearly recurring item occurs.
    `void` | `setDayOfMonth(int dayOfMonth)` Sets the day in a month on which a recurring item occurs.
    `void` | `setMonth(Month month)` Sets the month in which a yearly recurring item occurs.
    `java.lang.String` | `toString()` Converts the value of the current AbsoluteYearlyRecurrencePattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsoluteYearlyRecurrencePattern

          public AbsoluteYearlyRecurrencePattern()

      Initializes a new instance of the AbsoluteYearlyRecurrencePattern class.

    - #### AbsoluteYearlyRecurrencePattern

          public AbsoluteYearlyRecurrencePattern(Month month,
                                                 int dayOfMonth)

      Initializes a new instance of the AbsoluteYearlyRecurrencePattern class with specified values.
      Parameters:
        `month` - Month.
        `dayOfMonth` - Day of month. An integer value with values 1 through 31 being valid.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AbsoluteYearlyRecurrencePattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getDayOfMonth

          public int getDayOfMonth()

      Gets the day in a month on which a recurring item occurs. The range of values for this property is 1 to 31. If for a particular month this value is larger than the number of days in the month, the last day of the month is assumed for this property.
      Returns:
        the day of month

    - #### setDayOfMonth

          public void setDayOfMonth(int dayOfMonth)

      Sets the day in a month on which a recurring item occurs. The range of values for this property is 1 to 31. If for a particular month this value is larger than the number of days in the month, the last day of the month is assumed for this property.
      Parameters:
        `dayOfMonth` - the new day of month

    - #### getMonth

          public Month getMonth()

      Gets the month in which a yearly recurring item occurs.
      Returns:
        the month

    - #### setMonth

          public void setMonth(Month month)

      Sets the month in which a yearly recurring item occurs.
      Parameters:
        `month` - the new month